%define api_version	3.0
%define lib_major	1
%define gir_major	3.0

%define libname		%mklibname %{name} %{api_version} %{lib_major}
%define libnamedev	%mklibname -d %{name} %{api_version}
%define girname		%mklibname %{name}-gir %{gir_major}

Summary:	Source code viewing library
Name:		gtksourceview
Version:	3.24.5
Release:	%mkrel 1
License:	GPLv2+
Group:		Editors
URL:		http://people.ecsc.co.uk/~matt/downloads/rpms/gtksourceview/
Source0:	http://download.gnome.org/sources/%{name}/3.1/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gio-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.0
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	intltool

%description
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%package -n %{libname}
Summary:	Source code viewing library
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Obsoletes:	%{_lib}%{name}-3.0_0 < 3.1.5
Obsoletes:	%{_lib}%{name}3.0_0


%description -n %{libname}
GtkSourceview is a library that adds syntax highlighting,
line numbers, and other programming-editor features.
GtkSourceView specializes these features for a code editor.

%package -n %{libnamedev}
Summary:        Libraries and include files for GtkSourceView
Group:          Development/Libraries
Requires:       %{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Obsoletes:	%{_lib}%{name}-3.0-devel < 3.1.5

%description -n %{libnamedev}
GtkSourceView development files.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%_libdir/*.la
rm -f %{buildroot}%{_datadir}/vala/vapi/gtksourceview-3.0.deps
rm -f %{buildroot}%{_datadir}/vala/vapi/gtksourceview-3.0.vapi

%find_lang %{name}-%{api_version}

%clean
rm -rf %{buildroot}

%files -f %{name}-%{api_version}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README
%{_datadir}/gtksourceview-%{api_version}

%files -n %{libname} 
%defattr(-,root,root)
%{_libdir}/libgtksourceview-%{api_version}.so.%{lib_major}*
%{_libdir}/girepository-1.0/GtkSource-%{gir_major}.typelib

%files -n %{libnamedev}
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/gtksourceview-%{api_version}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/GtkSource-%{gir_major}.gir



%changelog
* Mon Oct 02 2017 bb2 <bb2> - 3.24.5-1pclos2017
- new version

* Wed Oct 14 2015 bb <bb> 3.14.4-2pclos2015
- rebuild for updates

* Sun Oct 11 2015 bb <bb> 3.14.4-1pclos2015
- update

* Sat Jan 04 2012 siamer <siamer@wp.pl> 3.2.3-1pclos2012
- 3.2.3

* Mon Oct 17 2011 Texstar <texstar at gmail.com> 3.2.2-1pclos2011
- 3.2.2

